package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 公告栏通知关联表
 */
@Entity
@Table(name = "notice_rela")
public class NoticeRelaEntity implements Serializable {

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "notice_rela_seq_gen")
    @SequenceGenerator(name = "notice_rela_seq_gen", sequenceName = "notice_rela_id_seq", allocationSize = 1)
    private Long id;

    /**
     * 公告栏通知Id
     */
    private Long noticeId;

    /**
     * 用户Id
     */
    private Long userId;

    /**
     * 当前用户是否已读公告栏通知
     * 0：未读
     * 1：已读
     */
    private Integer state;

    public NoticeRelaEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getNoticeId() {
        return noticeId;
    }

    public void setNoticeId(Long noticeId) {
        this.noticeId = noticeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return "NoticeRelaEntity{" +
                "id=" + id +
                ", noticeId=" + noticeId +
                ", userId=" + userId +
                ", state=" + state +
                '}';
    }
}
